--- a/data/meson.build
+++ b/data/meson.build
@@ -10,20 +10,10 @@
   subdir('fish-completion')
 endif
 
-if get_option('tests')
-subdir('device-tests')
-endif
-
 if build_daemon
 subdir('motd')
 endif
 
-if get_option('tests')
-  if build_daemon
-    subdir('installed-tests')
-  endif
-endif
-
 if build_standalone
   install_data(['daemon.conf'],
     install_dir: join_paths(sysconfdir, 'fwupd')
--- a/plugins/acpi-dmar/meson.build
+++ b/plugins/acpi-dmar/meson.build
@@ -47,7 +47,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('acpi-dmar-self-test', e, env: env)  # added to installed-tests
--- a/plugins/acpi-facp/meson.build
+++ b/plugins/acpi-facp/meson.build
@@ -47,7 +47,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('acpi-facp-self-test', e, env: env)  # added to installed-tests
--- a/plugins/acpi-ivrs/meson.build
+++ b/plugins/acpi-ivrs/meson.build
@@ -47,7 +47,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('acpi-ivrs-self-test', e, env: env)  # added to installed-tests
--- a/plugins/acpi-phat/meson.build
+++ b/plugins/acpi-phat/meson.build
@@ -53,7 +53,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('acpi-phat-self-test', e, env: env)  # added to installed-tests
--- a/plugins/ata/meson.build
+++ b/plugins/ata/meson.build
@@ -53,7 +53,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('ata-self-test', e, env: env)  # added to installed-tests
--- a/plugins/bcm57xx/meson.build
+++ b/plugins/bcm57xx/meson.build
@@ -35,8 +35,6 @@
 )
 
 if get_option('tests')
-  install_data(['tests/bcm57xx.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -63,7 +61,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('bcm57xx-self-test', e, env: env)
--- a/plugins/ccgx/meson.build
+++ b/plugins/ccgx/meson.build
@@ -37,8 +37,6 @@
 endif
 
 if get_option('tests')
-  install_data(['tests/ccgx.builder.xml', 'tests/ccgx-dmc.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -64,7 +62,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('ccgx-self-test', e, env: env)
--- a/plugins/elantp/meson.build
+++ b/plugins/elantp/meson.build
@@ -33,8 +33,6 @@
 endif
 
 if get_option('tests')
-  install_data(['tests/elantp.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -57,7 +55,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('elantp-self-test', e, env: env)
--- a/plugins/linux-swap/meson.build
+++ b/plugins/linux-swap/meson.build
@@ -44,7 +44,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('linux-swap-self-test', e)  # added to installed-tests
--- a/plugins/mtd/meson.build
+++ b/plugins/mtd/meson.build
@@ -46,7 +46,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('mtd-self-test', e)  # added to installed-tests
--- a/plugins/nitrokey/meson.build
+++ b/plugins/nitrokey/meson.build
@@ -47,7 +47,6 @@
     link_with: [
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('nitrokey-self-test', e)  # added to installed-tests
--- a/plugins/pixart-rf/meson.build
+++ b/plugins/pixart-rf/meson.build
@@ -31,8 +31,6 @@
 )
 
 if get_option('tests')
-  install_data(['tests/pixart.builder.xml'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -55,7 +53,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('pxi-self-test', e, env: env)
--- a/plugins/redfish/meson.build
+++ b/plugins/redfish/meson.build
@@ -47,14 +47,6 @@
 )
 
 if get_option('tests')
-  install_data(['tests/redfish-smbios.bin'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
-  install_data(['tests/redfish.conf'],
-    install_dir: join_paths(installed_test_datadir, 'tests'))
-  install_data(['tests/efi/efivars/RedfishIndications-16faa37e-4b6a-4891-9028-242de65a3b70'],
-    install_dir: join_paths(installed_test_datadir, 'tests', 'efi', 'efivars'))
-  install_data(['tests/efi/efivars/RedfishOSCredentials-16faa37e-4b6a-4891-9028-242de65a3b70'],
-    install_dir: join_paths(installed_test_datadir, 'tests', 'efi', 'efivars'))
   env = environment()
   env.set('G_TEST_SRCDIR', meson.current_source_dir())
   env.set('G_TEST_BUILDDIR', meson.current_build_dir())
@@ -89,7 +81,6 @@
       fwupd,
       fwupdplugin,
     ],
-    install: true,
     install_dir: installed_test_bindir,
   )
   test('redfish-self-test', e, env: env)  # added to installed-tests
--- a/src/tests/host-emulate/meson.build
+++ b/src/tests/host-emulate/meson.build
@@ -8,7 +8,7 @@
       output: '@0@.gz'.format(input_file),
       capture: true,
       command: [gzip, '-k', '--stdout', '@INPUT@'],
-      install: true,
+      install: false,
       install_dir: join_paths(datadir, 'fwupd', 'host-emulate.d'),
     )
   endforeach
